name: Sync to GitHub

on:
  push:
    branches: [main]

jobs:
  sync:
    runs-on: docker
    env:
      GITHUB_ACTOR: josedario87
      GITHUB_TOKEN: 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
    steps:
      - name: Clonar el repo
        uses: actions/checkout@v3

      - name: Forzar limpieza y retry
        run: |
          git remote remove github
          git remote add github https://josedario87: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@github.com/josedario87/planilla.git
          git fetch github
          git push github +HEAD:main --force

